<div class="front_page_section front_page_section_blog<?php
	$mission_scheme = mission_get_theme_option( 'front_page_blog_scheme' );
	if ( ! empty( $mission_scheme ) && ! mission_is_inherit( $mission_scheme ) ) {
		echo ' scheme_' . esc_attr( $mission_scheme );
	}
	echo ' front_page_section_paddings_' . esc_attr( mission_get_theme_option( 'front_page_blog_paddings' ) );
	if ( mission_get_theme_option( 'front_page_blog_stack' ) ) {
		echo ' sc_stack_section_on';
	}
?>"
		<?php
		$mission_css      = '';
		$mission_bg_image = mission_get_theme_option( 'front_page_blog_bg_image' );
		if ( ! empty( $mission_bg_image ) ) {
			$mission_css .= 'background-image: url(' . esc_url( mission_get_attachment_url( $mission_bg_image ) ) . ');';
		}
		if ( ! empty( $mission_css ) ) {
			echo ' style="' . esc_attr( $mission_css ) . '"';
		}
		?>
>
<?php
	// Add anchor
	$mission_anchor_icon = mission_get_theme_option( 'front_page_blog_anchor_icon' );
	$mission_anchor_text = mission_get_theme_option( 'front_page_blog_anchor_text' );
if ( ( ! empty( $mission_anchor_icon ) || ! empty( $mission_anchor_text ) ) && shortcode_exists( 'trx_sc_anchor' ) ) {
	echo do_shortcode(
		'[trx_sc_anchor id="front_page_section_blog"'
									. ( ! empty( $mission_anchor_icon ) ? ' icon="' . esc_attr( $mission_anchor_icon ) . '"' : '' )
									. ( ! empty( $mission_anchor_text ) ? ' title="' . esc_attr( $mission_anchor_text ) . '"' : '' )
									. ']'
	);
}
?>
	<div class="front_page_section_inner front_page_section_blog_inner
	<?php
	if ( mission_get_theme_option( 'front_page_blog_fullheight' ) ) {
		echo ' mission-full-height sc_layouts_flex sc_layouts_columns_middle';
	}
	?>
			"
			<?php
			$mission_css      = '';
			$mission_bg_mask  = mission_get_theme_option( 'front_page_blog_bg_mask' );
			$mission_bg_color_type = mission_get_theme_option( 'front_page_blog_bg_color_type' );
			if ( 'custom' == $mission_bg_color_type ) {
				$mission_bg_color = mission_get_theme_option( 'front_page_blog_bg_color' );
			} elseif ( 'scheme_bg_color' == $mission_bg_color_type ) {
				$mission_bg_color = mission_get_scheme_color( 'bg_color', $mission_scheme );
			} else {
				$mission_bg_color = '';
			}
			if ( ! empty( $mission_bg_color ) && $mission_bg_mask > 0 ) {
				$mission_css .= 'background-color: ' . esc_attr(
					1 == $mission_bg_mask ? $mission_bg_color : mission_hex2rgba( $mission_bg_color, $mission_bg_mask )
				) . ';';
			}
			if ( ! empty( $mission_css ) ) {
				echo ' style="' . esc_attr( $mission_css ) . '"';
			}
			?>
	>
		<div class="front_page_section_content_wrap front_page_section_blog_content_wrap content_wrap">
			<?php
			// Caption
			$mission_caption = mission_get_theme_option( 'front_page_blog_caption' );
			if ( ! empty( $mission_caption ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
				?>
				<h2 class="front_page_section_caption front_page_section_blog_caption front_page_block_<?php echo ! empty( $mission_caption ) ? 'filled' : 'empty'; ?>"><?php echo wp_kses( $mission_caption, 'mission_kses_content' ); ?></h2>
				<?php
			}

			// Description (text)
			$mission_description = mission_get_theme_option( 'front_page_blog_description' );
			if ( ! empty( $mission_description ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
				?>
				<div class="front_page_section_description front_page_section_blog_description front_page_block_<?php echo ! empty( $mission_description ) ? 'filled' : 'empty'; ?>"><?php echo wp_kses( wpautop( $mission_description ), 'mission_kses_content' ); ?></div>
				<?php
			}

			// Content (widgets)
			?>
			<div class="front_page_section_output front_page_section_blog_output">
				<?php
				if ( is_active_sidebar( 'front_page_blog_widgets' ) ) {
					dynamic_sidebar( 'front_page_blog_widgets' );
				} elseif ( current_user_can( 'edit_theme_options' ) ) {
					if ( ! mission_exists_trx_addons() ) {
						mission_customizer_need_trx_addons_message();
					} else {
						mission_customizer_need_widgets_message( 'front_page_blog_caption', 'ThemeREX Addons - Blogger' );
					}
				}
				?>
			</div>
		</div>
	</div>
</div>
