<?php
/**
 * The template to display the copyright info in the footer
 *
 * @package MISSION
 * @since MISSION 1.0.10
 */

// Copyright area
?> 
<div class="footer_copyright_wrap
<?php
$mission_copyright_scheme = mission_get_theme_option( 'copyright_scheme' );
if ( ! empty( $mission_copyright_scheme ) && ! mission_is_inherit( $mission_copyright_scheme  ) ) {
	echo ' scheme_' . esc_attr( $mission_copyright_scheme );
}
?>
				">
	<div class="footer_copyright_inner">
		<div class="content_wrap">
			<div class="copyright_text">
			<?php
				$mission_copyright = mission_get_theme_option( 'copyright' );
			if ( ! empty( $mission_copyright ) ) {
				// Replace {{Y}} or {Y} with the current year
				$mission_copyright = str_replace( array( '{{Y}}', '{Y}' ), date( 'Y' ), $mission_copyright );
				// Replace {{...}} and ((...)) on the <i>...</i> and <b>...</b>
				$mission_copyright = mission_prepare_macros( $mission_copyright );
				// Display copyright
				echo wp_kses( nl2br( $mission_copyright ), 'mission_kses_content' );
			}
			?>
			</div>
		</div>
	</div>
</div>
