<?php
/**
 * The template to display the background video in the header
 *
 * @package MISSION
 * @since MISSION 1.0.14
 */
$mission_header_video = mission_get_header_video();
$mission_embed_video  = '';
if ( ! empty( $mission_header_video ) && ! mission_is_from_uploads( $mission_header_video ) ) {
	if ( mission_is_youtube_url( $mission_header_video ) && preg_match( '/[=\/]([^=\/]*)$/', $mission_header_video, $matches ) && ! empty( $matches[1] ) ) {
		?><div id="background_video" data-youtube-code="<?php echo esc_attr( $matches[1] ); ?>"></div>
		<?php
	} else {
		?>
		<div id="background_video"><?php mission_show_layout( mission_get_embed_video( $mission_header_video ) ); ?></div>
		<?php
	}
}
