<div class="front_page_section front_page_section_contacts<?php
	$mission_scheme = mission_get_theme_option( 'front_page_contacts_scheme' );
	if ( ! empty( $mission_scheme ) && ! mission_is_inherit( $mission_scheme ) ) {
		echo ' scheme_' . esc_attr( $mission_scheme );
	}
	echo ' front_page_section_paddings_' . esc_attr( mission_get_theme_option( 'front_page_contacts_paddings' ) );
	if ( mission_get_theme_option( 'front_page_contacts_stack' ) ) {
		echo ' sc_stack_section_on';
	}
?>"
		<?php
		$mission_css      = '';
		$mission_bg_image = mission_get_theme_option( 'front_page_contacts_bg_image' );
		if ( ! empty( $mission_bg_image ) ) {
			$mission_css .= 'background-image: url(' . esc_url( mission_get_attachment_url( $mission_bg_image ) ) . ');';
		}
		if ( ! empty( $mission_css ) ) {
			echo ' style="' . esc_attr( $mission_css ) . '"';
		}
		?>
>
<?php
	// Add anchor
	$mission_anchor_icon = mission_get_theme_option( 'front_page_contacts_anchor_icon' );
	$mission_anchor_text = mission_get_theme_option( 'front_page_contacts_anchor_text' );
if ( ( ! empty( $mission_anchor_icon ) || ! empty( $mission_anchor_text ) ) && shortcode_exists( 'trx_sc_anchor' ) ) {
	echo do_shortcode(
		'[trx_sc_anchor id="front_page_section_contacts"'
									. ( ! empty( $mission_anchor_icon ) ? ' icon="' . esc_attr( $mission_anchor_icon ) . '"' : '' )
									. ( ! empty( $mission_anchor_text ) ? ' title="' . esc_attr( $mission_anchor_text ) . '"' : '' )
									. ']'
	);
}
?>
	<div class="front_page_section_inner front_page_section_contacts_inner
	<?php
	if ( mission_get_theme_option( 'front_page_contacts_fullheight' ) ) {
		echo ' mission-full-height sc_layouts_flex sc_layouts_columns_middle';
	}
	?>
			"
			<?php
			$mission_css      = '';
			$mission_bg_mask  = mission_get_theme_option( 'front_page_contacts_bg_mask' );
			$mission_bg_color_type = mission_get_theme_option( 'front_page_contacts_bg_color_type' );
			if ( 'custom' == $mission_bg_color_type ) {
				$mission_bg_color = mission_get_theme_option( 'front_page_contacts_bg_color' );
			} elseif ( 'scheme_bg_color' == $mission_bg_color_type ) {
				$mission_bg_color = mission_get_scheme_color( 'bg_color', $mission_scheme );
			} else {
				$mission_bg_color = '';
			}
			if ( ! empty( $mission_bg_color ) && $mission_bg_mask > 0 ) {
				$mission_css .= 'background-color: ' . esc_attr(
					1 == $mission_bg_mask ? $mission_bg_color : mission_hex2rgba( $mission_bg_color, $mission_bg_mask )
				) . ';';
			}
			if ( ! empty( $mission_css ) ) {
				echo ' style="' . esc_attr( $mission_css ) . '"';
			}
			?>
	>
		<div class="front_page_section_content_wrap front_page_section_contacts_content_wrap content_wrap">
			<?php

			// Title and description
			$mission_caption     = mission_get_theme_option( 'front_page_contacts_caption' );
			$mission_description = mission_get_theme_option( 'front_page_contacts_description' );
			if ( ! empty( $mission_caption ) || ! empty( $mission_description ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
				// Caption
				if ( ! empty( $mission_caption ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
					?>
					<h2 class="front_page_section_caption front_page_section_contacts_caption front_page_block_<?php echo ! empty( $mission_caption ) ? 'filled' : 'empty'; ?>">
					<?php
						echo wp_kses( $mission_caption, 'mission_kses_content' );
					?>
					</h2>
					<?php
				}

				// Description
				if ( ! empty( $mission_description ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
					?>
					<div class="front_page_section_description front_page_section_contacts_description front_page_block_<?php echo ! empty( $mission_description ) ? 'filled' : 'empty'; ?>">
					<?php
						echo wp_kses( wpautop( $mission_description ), 'mission_kses_content' );
					?>
					</div>
					<?php
				}
			}

			// Content (text)
			$mission_content = mission_get_theme_option( 'front_page_contacts_content' );
			$mission_layout  = mission_get_theme_option( 'front_page_contacts_layout' );
			if ( 'columns' == $mission_layout && ( ! empty( $mission_content ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) ) {
				?>
				<div class="front_page_section_columns front_page_section_contacts_columns columns_wrap">
					<div class="column-1_3">
				<?php
			}

			if ( ( ! empty( $mission_content ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) ) {
				?>
				<div class="front_page_section_content front_page_section_contacts_content front_page_block_<?php echo ! empty( $mission_content ) ? 'filled' : 'empty'; ?>">
					<?php
					echo wp_kses( $mission_content, 'mission_kses_content' );
					?>
				</div>
				<?php
			}

			if ( 'columns' == $mission_layout && ( ! empty( $mission_content ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) ) {
				?>
				</div><div class="column-2_3">
				<?php
			}

			// Shortcode output
			$mission_sc = mission_get_theme_option( 'front_page_contacts_shortcode' );
			if ( ! empty( $mission_sc ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
				?>
				<div class="front_page_section_output front_page_section_contacts_output front_page_block_<?php echo ! empty( $mission_sc ) ? 'filled' : 'empty'; ?>">
					<?php
					mission_show_layout( do_shortcode( $mission_sc ) );
					?>
				</div>
				<?php
			}

			if ( 'columns' == $mission_layout && ( ! empty( $mission_content ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) ) {
				?>
				</div></div>
				<?php
			}
			?>

		</div>
	</div>
</div>
