<?php
/**
 * The template to display default site footer
 *
 * @package MISSION
 * @since MISSION 1.0.10
 */

$mission_footer_id = mission_get_custom_footer_id();
$mission_footer_meta = get_post_meta( $mission_footer_id, 'trx_addons_options', true );
if ( ! empty( $mission_footer_meta['margin'] ) ) {
	mission_add_inline_css( sprintf( '.page_content_wrap{padding-bottom:%s}', esc_attr( mission_prepare_css_value( $mission_footer_meta['margin'] ) ) ) );
}
?>
<footer class="footer_wrap footer_custom footer_custom_<?php echo esc_attr( $mission_footer_id ); ?> footer_custom_<?php echo esc_attr( sanitize_title( get_the_title( $mission_footer_id ) ) ); ?>
						<?php
						$mission_footer_scheme = mission_get_theme_option( 'footer_scheme' );
						if ( ! empty( $mission_footer_scheme ) && ! mission_is_inherit( $mission_footer_scheme  ) ) {
							echo ' scheme_' . esc_attr( $mission_footer_scheme );
						}
						?>
						">
	<?php
	// Custom footer's layout
	do_action( 'mission_action_show_layout', $mission_footer_id );
	?>
</footer><!-- /.footer_wrap -->
